
Foreman - Bug #13716

Foreman's site fails to start with ":login: false" in Debian Jessie

02/15/2016 11:17 AM - Shod Dan

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Authentication   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.10.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In /etc/foreman/settings.yaml set

:login: false

service apache2 restart

Try to open foreman url https://your_foremanhost

The error appears

"The page you were looking for doesn't exist. You may have mistyped the address or the page may have moved."

The issue is valid for Debian 8 Jessie only, for Debian 7 Wheezy , foreman's site is fully functional with ":login: false"

History

#1 - 02/16/2016 04:10 AM - Dominic Cleal

- Project changed from Installer to Foreman

- Category changed from Foreman modules to Authentication

- Status changed from New to Need more information

- translation missing: en.field_release deleted (123)

- Difficulty deleted (medium)

Could you check precisely what URL your browser is showing?  The server-side production.log would be useful too.  I suspect you're visiting

something like /users/login or /users/logout which would no longer exist.  Visiting the main / URL is probably OK.

#2 - 02/16/2016 10:49 AM - Shod Dan

Dominic Cleal wrote:

Could you check precisely what URL your browser is showing?  The server-side production.log would be useful too.  I suspect you're visiting

something like /users/login or /users/logout which would no longer exist.  Visiting the main / URL is probably OK.

 I'm sorry, default libapache2-mod-passenger module has not been compatible with my custom apache version from sid (2.4.18). I've rebuild the

module and seems all OK now.

#3 - 02/17/2016 02:59 AM - Dominic Cleal

- Status changed from Need more information to Resolved

Thanks for the update.
